#/bin/sh
#
# AzBox HD Backup v0.94 for OpenXCAS 
# (c) by monkus (mooncusz@google.com)

AWK=/usr/bin/awk
CAT=/bin/cat
CP=/bin/cp
EGREP=/bin/egrep
FIND=/usr/bin/find
GREP=/bin/grep
CHMOD=/bin/chmod
LN=/bin/ln
MKDIR=/bin/mkdir
MOUNT=/bin/mount
RM=/bin/rm
TAR=/bin/tar
TEST=/usr/bin/test

read RESTORENAME </MMP/httpd/configs/restore.list
read BACKUPDIR </MMP/httpd/configs/path.list
cd $BACKUPDIR

check_latest () {
  $TEST -e $BACKUPDIR/$RESTORENAME
  if [ "$?" = 1 ]; then
    echo  
    echo "You're not in backup directory, or latest.tar is missing!"
    echo "Exiting ..."
    exit 1 
  fi
}   

fs_remount () {                                                                                                                                                      
  echo
  echo Remounting /MMP 
  $MOUNT -o remount,rw /dev/hda1 /MMP 
} 

do_restore () {                                                                                                                                                      
  echo
  echo Restore in progress:
  $TAR xvf $RESTORENAME -C /
  echo 
}  

stb_reboot () {                                                                                                                                                      
  echo Reboot please...
	#/MMP/usr/bin/vfd_display -td210 REBOOT
}    

      
echo "AzBox HD Backup v0.94 for OpenXCAS (c) by monkus"    
echo "Restore Script - All previous data will be overwritten"   

check_latest
fs_remount
do_restore
stb_reboot
